Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletRequestParameterMap

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletRequestParameterMap

Direct Known Subclasses:
  ResourceRequestParameterMap

    public class PortletRequestParameterMap

extends java.lang.Object

The main responsibility of this class is to combine the different parameter sources (private navigational state, public navigational state, interaction state, form) into the private map, public map and parameter map.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`protected static org.jboss.portal.common.util.ParameterMap.AccessMode` | `COPY_MODE` .
`protected org.jboss.portal.common.util.ParameterMap` | `parameters` .
`protected org.jboss.portal.common.util.ParameterMap` | `privateParameters` .
`protected org.jboss.portal.common.util.ParameterMap` | `publicParameters` .

Constructor Summary
`protected` | `PortletRequestParameterMap(java.util.Map<java.lang.String,java.lang.String[]> parameters, java.util.Map<java.lang.String,java.lang.String[]> privateParameters, java.util.Map<java.lang.String,java.lang.String[]> publicParameters)`

Method Summary
`static PortletRequestParameterMap` | `create(NavigationInfo navigationInfo, ActionInvocation invocation)` - interaction parameter : always - form parameter : if it is a POST with the content type set to application/...
`static PortletRequestParameterMap` | `create(NavigationInfo navigationInfo, EventInvocation invocation)`
`static PortletRequestParameterMap` | `create(NavigationInfo navigationInfo, PortletInvocation invocation)` Factory method that will chose the right builder according to the context argument type.
`static PortletRequestParameterMap` | `create(NavigationInfo navigationInfo, RenderInvocation context)`
`org.jboss.portal.common.util.ParameterMap` | `getParameters()`
`org.jboss.portal.common.util.ParameterMap` | `getPrivateParameters()`
`org.jboss.portal.common.util.ParameterMap` | `getPublicParameters()`
`protected static java.util.Map<java.lang.String,java.lang.String[]>` | `safeBuildParameters(StateString stateString)`
`protected static org.jboss.portal.common.util.ParameterMap` | `safeBuildPublicParameters(NavigationInfo navigationInfo, java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalParameters)`
`protected static java.util.Map<java.lang.String,java.lang.String[]>` | `safeCombine(java.util.Map<java.lang.String,java.lang.String[]> privateParameters, java.util.Map<java.lang.String,java.lang.String[]> publicParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPY_MODE

    protected static final org.jboss.portal.common.util.ParameterMap.AccessMode COPY_MODE

  .

### parameters

    protected final org.jboss.portal.common.util.ParameterMap parameters

  .

### privateParameters

    protected final org.jboss.portal.common.util.ParameterMap privateParameters

  .

### publicParameters

    protected final org.jboss.portal.common.util.ParameterMap publicParameters

  .

Constructor Detail

### PortletRequestParameterMap

    protected PortletRequestParameterMap(java.util.Map<java.lang.String,java.lang.String[]> parameters,
                                         java.util.Map<java.lang.String,java.lang.String[]> privateParameters,
                                         java.util.Map<java.lang.String,java.lang.String[]> publicParameters)

Method Detail

### create

    public static PortletRequestParameterMap create(NavigationInfo navigationInfo,
                                                    PortletInvocation invocation)

  Factory method that will chose the right builder according to the context argument type.

### create

    public static PortletRequestParameterMap create(NavigationInfo navigationInfo,
                                                    EventInvocation invocation)

### create

    public static PortletRequestParameterMap create(NavigationInfo navigationInfo,
                                                    RenderInvocation context)

### create

    public static PortletRequestParameterMap create(NavigationInfo navigationInfo,
                                                    ActionInvocation invocation)

  - interaction parameter : always - form parameter : if it is a POST with the content type set to application/... - public render parameter : optionally sent by the consumer - getParameterMap() : the interaction parameter + form parameters if any + public render parameter - getPrivateParameterMap() : the interaction parameter + form parameter - getPublicParameterMap() : public render parameter

### getParameters

    public org.jboss.portal.common.util.ParameterMap getParameters()

### getPrivateParameters

    public org.jboss.portal.common.util.ParameterMap getPrivateParameters()

### getPublicParameters

    public org.jboss.portal.common.util.ParameterMap getPublicParameters()

### safeBuildPublicParameters

    protected static org.jboss.portal.common.util.ParameterMap safeBuildPublicParameters(NavigationInfo navigationInfo,
                                                                                         java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalParameters)

### safeBuildParameters

    protected static java.util.Map<java.lang.String,java.lang.String[]> safeBuildParameters(StateString stateString)

### safeCombine

    protected static java.util.Map<java.lang.String,java.lang.String[]> safeCombine(java.util.Map<java.lang.String,java.lang.String[]> privateParameters,
                                                                                    java.util.Map<java.lang.String,java.lang.String[]> publicParameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.